//---------------------------------------
//
// Title       : NOR
// Design      : decoder_5bit
// Author      : Sindre
// File        : NOR.v
//
//---------------------------------------
//
// Description :  5bit NOR gate
//
//---------------------------------------
`timescale 1 ns / 1 ps

//{module {NOR}}
module NOR (
	input [4:0] IN,
	output reg [4:0] OUT
	);

	always@(IN)
	begin
		if(IN == 0)begin
			OUT = 5'b11111;
		end else begin
			OUT = 0; 
		end
	end
endmodule
