//-----------------------------------------------------------------------------
//
// Title       : Adder
// Design      : encoder
// Author      : Sindre
// File        : Adder.v
//
//-----------------------------------------------------------------------------
//
// Description : 
//
//-----------------------------------------------------------------------------
`timescale 1 ns / 1 ps

//{module {galois_add}}
module Adder #(parameter width=5'b00101) (in1, in2, sum);

input [width-1:0] in1;
input [width-1:0] in2;

output [width-1:0] sum;

wire [width-1:0] in1; 
wire [width-1:0] in2;
wire [width-1:0] sum;


assign sum = in1^in2;
	
endmodule
