//-----------------------------------------------------------------------------
//
// Title       : AND_gate
// Design      : encoder
// Author      : Sindre
// File        : AND_gate.v
//
//-----------------------------------------------------------------------------
//
// Description : 
//
//-----------------------------------------------------------------------------
`timescale 1 ns / 1 ps


//{module {AND_gate}}
module AND_gate #(parameter width=5'b00101) (a, b, y);
	
	input [width-1:0] a; 
	input b;
	wire [width-1:0] a;
	wire b;
	
	output [width-1:0] y;
	wire [width-1:0] y;
	
	assign y[4] = a[4] & b;
	assign y[3] = a[3] & b;
	assign y[2] = a[2] & b;
	assign y[1] = a[1] & b;
	assign y[0] = a[0] & b;

endmodule
