//-----------------------------------------------------------------------------
//
// Title       : MUX_1to2
// Design      : Decoder_Design_2
// Author      : Sindre
// File        : MUX_1to2.v
//
//-----------------------------------------------------------------------------
//
// Description :  1 input 2 output mux
//
//-----------------------------------------------------------------------------
`timescale 1 ns / 1 ps


//{module {MUX_1to2}}
module MUX_1to2 #(parameter width=5) (
	input [width-1:0] in,  
	input sel, 
	output reg [width-1:0] out1,
	output reg [width-1:0] out2
	);

	always @(in or sel)
	begin
		if(sel)begin
			out1 <= in;
			out2 <= 0;
		end else begin
			out1 <= 0;
			out2 <= in;
		end
	end
endmodule
