//------------------------------------------------------------
//
// Title       : AND_gate
// Design      : encoder
// Author      : Sindre
// File        : AND_gate.v
//
//------------------------------------------------------------
//
// Description : AND gate, input b is used as control signal
//
//------------------------------------------------------------
`timescale 1 ns / 1 ps

//{module {AND_gate}}
module AND_gate (a, b, y);
	
	input [4:0] a; 
	input b;
	wire [4:0] a;
	wire b;
	
	output [4:0] y;
	wire [4:0] y;
	
	assign y[4] = a[4] & b;
	assign y[3] = a[3] & b;
	assign y[2] = a[2] & b;
	assign y[1] = a[1] & b;
	assign y[0] = a[0] & b;

endmodule