//----------------------------------------------------------------
//
// Title       : Mult_x15_5bit
// Design      : RS_encoder
// Author      : Sindre
// File        : Mult_x15_5bit.v
//
//----------------------------------------------------------------
//
// Description : Constant multiplier for multiplying by 15
//
//----------------------------------------------------------------
`timescale 1 ns / 1 ps

//{module {Mult_x15_5bit}}
module Mult_x15_5bit (mult_in, mult_out);

input [4:0] mult_in;

output [4:0] mult_out;

wire [4:0] mult_in;
wire [4:0] mult_out;

assign mult_out[4] = mult_in[1]^mult_in[2]^mult_in[3];
assign mult_out[3] = mult_in[0]^mult_in[1]^mult_in[2]^mult_in[4];
assign mult_out[2] = mult_in[0]^mult_in[1]^mult_in[3];
assign mult_out[1] = mult_in[0]^mult_in[1]^mult_in[3]^mult_in[4];
assign mult_out[0] = mult_in[0]^mult_in[2]^mult_in[3]^mult_in[4];	

endmodule
