//-----------------------------------------------------------------------------
//
// Title       : Mult_x8_5bit
// Design      : decoder_5bit
// Author      : Sindre
// File        : Mult_x8_5bit.v
//
//-----------------------------------------------------------------------------
//
// Description : contant multiplier, multiply by 8
//
//-----------------------------------------------------------------------------
`timescale 1 ns / 1 ps

//{module {Mult_x8_5bit}}
module Mult_x8_5bit #(parameter width=5'b00101)(m_in, m_out);
	
	input [width-1:0] m_in;
	output [width-1:0] m_out;
	
	wire [width-1:0] m_in;
	wire [width-1:0] m_out;
	
	assign m_out[4] = m_in[1]^m_in[4];
	assign m_out[3] = m_in[0]^m_in[3];
	assign m_out[2] = m_in[2]^m_in[4];
	assign m_out[1] = m_in[3];
	assign m_out[0] = m_in[2];

endmodule
