//-----------------------------------------------------------------------------
//
// Title       : clk_gate
// Design      : encoder_cg
// Author      : Sindre
// File        : clk_gate.v
//
//-----------------------------------------------------------------------------
//
// Description : 
//
//-----------------------------------------------------------------------------
`timescale 1 ns / 1 ps

//{module {clk_gate}}
module clk_gate (clk, ctrl, gclk);
	input clk;
	input ctrl;
	output gclk;
	
	wire clk;
	wire ctrl;
	reg gclk;
	
	reg qint;
	
	always@(clk or ctrl)
	begin
		if(clk == 0)begin
			qint <= (!ctrl);
		end
		
		gclk <= (!qint) && clk;
	end

endmodule
