//--------------------------------------------
//
// Title       : Adder
// Design      : encoder
// Author      : Sindre
// File        : Adder.v
//
//--------------------------------------------
//
// Description :	5bit finite field adder
//
//--------------------------------------------
`timescale 1 ns / 1 ps

//{module {galois_add}}
module Adder (in1, in2, sum);

input [4:0] in1;
input [4:0] in2;

output [4:0] sum;

wire [4:0] in1; 
wire [4:0] in2;
wire [4:0] sum;


assign sum = in1^in2;
	
endmodule